let BASE_URL_JAVA = "";
let BASE_GATEWAY = "";
const isTest = typeof window !== 'undefined' ? window.location.hostname.indexOf("-test") > -1 : false;
const isProd = typeof window !== 'undefined' ? (window.location.hostname.indexOf("dev") == -1 && window.location.hostname.indexOf("test") == -1 && window.location.hostname.indexOf("localhost") == -1 && window.location.hostname.indexOf("127.0.0.1") == -1) : false;
if(isProd){
    BASE_URL_JAVA = 'https://api.ydl.com';
    BASE_GATEWAY = 'https://app2.yidianling.com'
}
else if(isTest){
    BASE_URL_JAVA = 'https://api-test.ydl.com';
    BASE_GATEWAY = 'https://app2-test.ydl.com'
}
else{
    BASE_URL_JAVA = 'https://testapi.ydl.com';
    BASE_GATEWAY = 'https://testapp2.yidianling.com'
}
/**
 * doc: http://47.96.181.183:8806/api/swagger-ui.html#!/finance45v45245controller/doUnityPayUsingPOST
 */
export const DO_UNIFIED_ORDER = `${BASE_URL_JAVA}/api/auth/cashierV2/doUnifiedOrder`

/**
 * 新版支付，api同doUnifiedOrder
 * doc: http://47.96.181.183:8806/api/swagger-ui.html#!/finance45v45245controller/unityPayUsingPOST
 */
export const UNIT_PAY = `${BASE_URL_JAVA}/api/auth/cashierV2/unityPay`

export const COMMIT_ORDER = `${BASE_URL_JAVA}/api/consult/consult/commit-order`

export const IS_PAY = `${BASE_URL_JAVA}/api/auth/Order/orderIsPay`

export const MY_BALANCE = `${BASE_URL_JAVA}/api/auth/cashierV2/myBalance`

export const PAY_CHECK_INTERVAL = `${BASE_URL_JAVA}/api/pay/auth/pay/payCheckInterval`

export const GET_EXCLUDE_PAYTYPE = `${BASE_URL_JAVA}/api/auth/cashierV2/getExcludePayType`